package com.koobietech.eas.service;

import com.koobietech.eas.common.result.PageDataResult;
import com.koobietech.eas.dao.dto.GroupStudentsDto;
import com.koobietech.eas.dao.pojo.GroupStudentsPojo;
import com.koobietech.eas.mbg.model.EasEduClass;
import com.koobietech.eas.mbg.model.EasEduCltRelation;

import java.util.List;

public interface EasEduClassService {

    int addClass(EasEduClass easEduClass);

    int updateClass(EasEduClass easEduClass);

    int deleteClass( Long id );

    EasEduClass selectId( Long id );

    List<EasEduClass> selectTotal();

    PageDataResult selectCondition(EasEduClass easEduClass );

    List<GroupStudentsPojo> queryClassStudent(GroupStudentsDto dto);

    List<EasEduCltRelation> queryClassStudentById(int classId);

    boolean updateGroupStudentForm(Integer groupId, Integer[] studentIds);

    boolean groupStudentDelete(Integer rowId);

    boolean groupStudentUpdate(EasEduCltRelation easEduCltRelation);
}
